import { Router } from 'express'

import { getAnswer } from '../../utils/common'
import { requiredFields } from '../../utils/required'

import { getDrafts } from './tasks.controller'

const router = Router()

router.get('/', async (req, res) => {
    const drafts = await getDrafts((req as any)?.user?.id)
    res.send(getAnswer(null, drafts))
})

export default router
