export const requiredFields = (fields: string[]) => (req, res, next) => {
    for (const fieldName of fields) {
        if (!req.body[fieldName]) {
            throw new Error(`Field ${fieldName} does't set`)
        }
    }

    next()
}